Pen Holder Leather Pencil Holder for Desk Beauty Roses Desktop Stationery Pen Cup Desk Accessories Holder Makeup Brush Storage Organizer for Work Home Art Supply 3.9" X 3.1"
Product Information
About this item
- RELIABLE MATERIAL: Waterproof pen holder surface is made of high-quality pu leather, and the interior and bottom are made of paper barrel, which is convenient and environmentally friendly. Thanks to the exquisite workmanship, pencil cup holder for desk is very smooth and silky. When you touch it, you would feel like touching a premium texture.
- SIMPLIFY YOUR DESKTOP: Beauty Roses Desk pencil cup holder can be placed on office desks, dressers and bathroom counters. You can easily store or take out the things you want, desktop pen organizers keeps your stationery supplies organized and easy to find, making you more productive. Keep all your daily essentials neatly organized.
- UNIQUE DESIGN: Pen holder cup has a stylish design with white stitching details and an attractive simple square shape. Smooth base protects desk from scratches.Keeping your desk tidy and organized. With our pencil pen holder cup, you can easily declutter any desk!
- SLEEK APPERRANCE: This classic, elegant, and meticulously designed makeup brush holder cup / desk organizer keeps your desk looking sleek and sophisticated. Furthermore, leather desktop organizer is able to store more than 20 pencils at once. We no longer have to worry about the lack of space and the messy desktop!
- MULTIPLE USES: Stationery organizer takes up little space on your desk but provides maximum storage space.Minimalist pen holder can used as a desk organizer for pens, pencils, markers, rulers, scissors, and paintbrushes in your home office.It can also be used as a makeup brush holder for cosmetic brushes, eyebrow eyeliners, nail brushes, etc.
Product Description
LEATHER HOLDER SIZE: 3.1inch*3.1inch*3.9inch (l*w*h). Beauty Roses Leather desktop stationery organizer is small but very sturdy, keeps all your stuff well organized,clean and tidy without taking too much space, a real space saver! Any daily items that need to be neatly used can use our stationery holder for office.STURDY PRACTICAL: This makeup brush holder is totally waterproof. It's easy and convenient to clean, just need warm water and a piece of cotton cloth, it will look brand new again! It is strong and solid enough for a long time using. The extremely smooth surface and Square edges will not hurt your things and yourself. EXQUISITE GIFT: Square desktop organizer's simple and neutral design makes it easy to match anywhere you need it. No matter whether you need it for home, school, or office, pencil cup holder always meets your needs! Desk organizer is a nice gift for yourself, families, friends or that special person in your life.EXCELLENT SERVICE: Pen holders organizers is made of leather material, which does not cause any harm.Hope you have a good shopping. If you have any questions about this home workspace organizer, please contact our customer service and we will help you solve the problem as soon as possible within 24 hours working days.
Similar Items
GAMMA+ Absolute Zero Mens Foil Shaver Collection$7.95
Mini Skater 2.36 Inch Iron Metal Hardware Wire Nail Assortment,4.86 Ounce/137.8g$8.19
Fake Beard Goatee Realistic Mustache 100% Human Hair Brown Fake Beard Goat Beard Halloween Dressing/Drama/Party/Movie (Brown (goatee))$14.99
Glarks 12 Pack 4oz Glass Jars with Lids, Round Clear Glass Jars with Inner Liner and Silver Lids for Storing Creams, Beauty Products, Cosmetic and Ointments$18.99
Command Wire-Back Frame Hanger, 5 lb Capacity, Decorate Damage-Free, Indoor Use (17041-ES)$5.59
Microswabs for Eyelash Extensions Pack of 500 in Multicolor – 2mm Soft Micro Applicator Brush with Microfiber Wands – Suitable for Cleaning and Applying Make-up$7.99
5V USB Charger for Hatteker Cordless Beard Trimmer Hair Clippers RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-7568 RSCX-9598 Electric Shaver Razor Charging Cord$5.59
10pcs Nail Doodle Pen 7 Needle Stainless Steel Handle Bendable PinsView price